package cn.wisenergy.chnmuseum.party.common.enums;

/**
 * 审核状态
 */
public enum AuditTypeEnum {

    ASSET(1, "新增"),
    EXHIBITION_BOARD(2, "修改"),
    LEARNING_CONTENT(3, "下架"),
    ACCOUNT(4, "禁用");

    // 错误编码
    private Integer code;
    // 信息
    private String operation;

    // 相应编码有参构造函数
    AuditTypeEnum(Integer code, String operation) {
        this.code = code;
        this.operation = operation;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

}
