package cn.wisenergy.chnmuseum.party.mapper;

import cn.wisenergy.chnmuseum.party.model.TUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.wisenergy.chnmuseum.party.model.TBoxOperation;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <pre>
 * 机顶盒运维信息 Mapper 接口
 * </pre>
 *
 * @author Danny Lee
 * @since 2021-03-25
 */
public interface TBoxOperationMapper extends BaseMapper<TBoxOperation> {

    List<TBoxOperation> getList();

    List<TBoxOperation> selectBoxPage(Page<TBoxOperation> page,@Param("user") TUser user);
}
